LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XEmbedObjectCreator Interface Referencepublished

allows to create and initialize a new embedded object. More...

`import"XEmbedObjectCreator.idl";`

Inheritance diagram for XEmbedObjectCreator:

## Public Member Functions
::com::sun::star::uno::XInterface | createInstanceInitNew ([in] sequence< byte > aClassID, [in] string sClassName, [in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntryName, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| creates a new object and initializes it as a new one. More...
::com::sun::star::uno::XInterface | createInstanceInitFromEntry ([in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntryName, [in] sequence< ::com::sun::star::beans::PropertyValue > aMediaDescriptor, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::container::NoSuchElementException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| creates a new object that should be based on specified storage entry. More...
::com::sun::star::uno::XInterface | createInstanceInitFromMediaDescriptor ([in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntryName, [in] sequence< ::com::sun::star::beans::PropertyValue > aMediaDescriptor, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| creates a new object and initializes it based on com::sun::star::document::MediaDescriptor. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to create and initialize a new embedded object.

This interface contains methods that can help to create and initialize an embedded object.

## Member Function Documentation

## ◆ createInstanceInitFromEntry()

::com::sun::star::uno::XInterface createInstanceInitFromEntry | ( | [in] ::com::sun::star::embed::XStorage | xStorage,
|  | [in] string | sEntryName,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aMediaDescriptor,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aObjectArgs
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::container::NoSuchElementException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception
| ) |  |

creates a new object that should be based on specified storage entry.

The specified entry must exists and the object should be loaded from the entry. In case a persistent representation of a link is specified, the result object will be a link.

Parameters

  xStorage | a parent storage the entry should be opened in
  sEntryName | a name for the entry
  aMediaDescriptor | an object of type com::sun::star::document::MediaDescriptor that specifies document related properties; please remember that target related parameters, for example URL, will be ignored since the object should be loaded from storage entry
  aObjectArgs | an object of type EmbeddedObjectDescriptor contains object related properties

Exceptions

  com::sun::star::lang::IllegalArgumentException | one of arguments is illegal
  com::sun::star::container::NoSuchElementException | the specified entry does not exist
  com::sun::star::io::IOException | in case of io problems during opening
  com::sun::star::uno::Exception | in case of other problems

## ◆ createInstanceInitFromMediaDescriptor()

::com::sun::star::uno::XInterface createInstanceInitFromMediaDescriptor | ( | [in] ::com::sun::star::embed::XStorage | xStorage,
|  | [in] string | sEntryName,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aMediaDescriptor,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aObjectArgs
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception
| ) |  |

creates a new object and initializes it based on com::sun::star::document::MediaDescriptor.

In case specified entry exists it's contents are ignored and will be overwritten on storing.

Parameters

  xStorage | a parent storage the entry should be created/opened in
  sEntryName | a name for the entry
  aMediaDescriptor | an object of type com::sun::star::document::MediaDescriptor that specifies source
  aObjectArgs | an object of type EmbeddedObjectDescriptor contains object related properties

Exceptions

  com::sun::star::lang::IllegalArgumentException | one of arguments is illegal
  com::sun::star::io::IOException | in case of io problems during opening or creation
  com::sun::star::uno::Exception | in case of other problems

## ◆ createInstanceInitNew()

::com::sun::star::uno::XInterface createInstanceInitNew | ( | [in] sequence< byte > | aClassID,
|  | [in] string | sClassName,
|  | [in] ::com::sun::star::embed::XStorage | xStorage,
|  | [in] string | sEntryName,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aObjectArgs
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception
| ) |  |

creates a new object and initializes it as a new one.

In case specified entry exists it's contents are ignored and will be overwritten on storing.

Parameters

  aClassID | the class id of the new object
  sClassName | the class name of the new object
  xStorage | a parent storage the entry should be created/opened in
  sEntryName | a name for the entry
  aObjectArgs | optional parameters for the object persistence initialization see also EmbeddedObjectDescriptor

Exceptions

  com::sun::star::lang::IllegalArgumentException | one of arguments is illegal
  com::sun::star::io::IOException | in case of io problems during opening or creation
  com::sun::star::uno::Exception | in case of other problems

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XEmbedObjectCreator.idl